/*
 * eID Chrome OS project.
 *
 * Copyright 2015-2016 e-Contract.be BVBA. All rights reserved.
 * e-Contract.be BVBA proprietary/confidential. Use is subject to license terms.
 */

"use strict";

var BEID_DEVICES_OPTIONS = {
    filters: [
        {
            interfaceClass: 0x0b // smart card class
        },
        {
            // SPR532
            vendorId: 0x04e6,
            productId: 0xe003
        },
        {
            // SCM SDI010
            vendorId: 0x04E6,
            productId: 0x5121
        },
        {
            // APG8201
            vendorId: 0x072F,
            productId: 0x8201
        },
        {
            // Cherry GmbH SmartTerminal ST-2xxx
            vendorId: 0x046A,
            productId: 0x003E
        },
        {
            // Dell keyboard SK-3106
            vendorId: 0x413C,
            productId: 0x2100
        },
        {
            // SCM SCR 331-DI
            vendorId: 0x04E6,
            productId: 0x5111
        },
        {
            // NTT Communications Corp. - SCR3310-NTTCom USB SmartCard Reader
            vendorId: 0x04E6,
            productId: 0x511A
        },
        {
            // SDI011 Contactless Reader
            vendorId: 0x04E6,
            productId: 0x512B
        },
        {
            // SDI011 Contactless Reader
            vendorId: 0x04E6,
            productId: 0x512C
        },
        {
            // SCR331-DI USB Smart Card Reader
            vendorId: 0x04E6,
            productId: 0x5120
        }
    ]
};

// Chrome OS
function selectCCIDDevice(callback) {
    chrome.usb.getUserSelectedDevices(BEID_DEVICES_OPTIONS, function (devices) {
        callback(devices);
    });
}

// Apache Cordova
// Androids might not support high-power CCID smart card readers
function selectCordovaAndroidCCIDDevice(callback) {
    chrome.usb.getDevices(BEID_DEVICES_OPTIONS, function (devices) {
        callback(devices);
    });
}